Package org.eclipse.mat.inspections

## Class DeltaHistogram

- java.lang.Object
- - org.eclipse.mat.inspections.HistogramQuery
  - - org.eclipse.mat.inspections.DeltaHistogram

All Implemented Interfaces:
  `IQuery`

    public class DeltaHistogram
    extends HistogramQuery

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.inspections.HistogramQuery

`HistogramQuery.Grouping`

### Field Summary

Fields
`ISnapshot` `snapshot2`

### Fields inherited from class org.eclipse.mat.inspections.HistogramQuery

`groupBy, objects, snapshot`

### Constructor Summary

Constructors
`DeltaHistogram()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute​(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot2

    public ISnapshot snapshot2

### Constructor Detail

#### DeltaHistogram

    public DeltaHistogram()

### Method Detail

#### execute

    public IResult execute​(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Overrides:
  `execute` in class `HistogramQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query